DEVELOPERS

Loops API Docs

Full API Reference
GET/api/v1/video/{id} Reference

Video

Returns the VideoResource using the snowflake id of the video.

Authentication

Not required for this endpoint.

Query parameters

This endpoint takes no query parameters.

Returns

A Video resource.

Request

cURL
curl https://loops.video/api/v1/video/107099161459215690

Responses

{
  "id": "107099161459215690",
  "account": {
    "id": "1",
    "name": "dansup",
    "username": "dansup",
    "avatar": "https://loopsusercontent.com/avatars/1/y6i8g7330.jpg"
  },
  "caption": "Wow!",
  "url": "https://loops.video/v/5YvxWOxcRa",
  "shortcode": "5YvxWOxcRa",
  "is_owner": true,
  "is_sensitive": false,
  "is_local": true,
  "media": {
    "thumbnail": "https://loopsusercontent.com/.../SZDoYkIThHJ.jpg",
    "src_url": "https://loopsusercontent.com/videos/1...J.mp4",
    "hls_url": null,
    "alt_text": null,
    "duration": 54,
    "width": 720,
    "height": 1278
  },
  "pinned": true,
  "likes": 327,
  "shares": 23,
  "comments": 50,
  "bookmarks": 6,
  "has_liked": true,
  "has_bookmarked": true,
  "is_edited": true,
  "lang": null,
  "tags": [],
  "mentions": [],
  "permissions": {
    "can_comment": true,
    "can_download": false,
    "can_duet": false,
    "can_stitch": false,
    "can_embed": true
  },
  "audio": {
    "has_audio": true,
    "id": "at:107099161459215690",
    "count": 0,
    "key": "80cf38c3-cd9c-4e75-8e24-a955c79c883b",
    "sound_id": "248936263126653225"
  },
  "meta": {
    "contains_ai": false,
    "contains_ad": false
  },
  "created_at": "2025-01-18T00:15:42+00:00"
}